Package org.linphone.core

# Interface Transports

public interface Transports
SIP transports & ports configuration object.
Indicates which transport among UDP, TCP, TLS and DTLS should be enabled and if
so on which port to listen. You can use special values like
LC_SIP_TRANSPORT_DISABLED (0), LC_SIP_TRANSPORT_RANDOM (-1) and
LC_SIP_TRANSPORT_DONTBIND (-2).
Once configuration is complete, use `Core.setTransports(org.linphone.core.Transports)` to apply it.
This will be saved in configuration file so you don't have to do it each time
the `Core` starts.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDtlsPort()`
Gets the DTLS port in the `Transports` object.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`int`
`getTcpPort()`
Gets the TCP port in the `Transports` object.
`int`
`getTlsPort()`
Gets the TLS port in the `Transports` object.
`int`
`getUdpPort()`
Gets the UDP port in the `Transports` object.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setDtlsPort(int port)`
Sets the DTLS port in the `Transports` object.
`void`
`setTcpPort(int port)`
Sets the TCP port in the `Transports` object.
`void`
`setTlsPort(int port)`
Sets the TLS port in the `Transports` object.
`void`
`setUdpPort(int port)`
Sets the UDP port in the `Transports` object.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getDtlsPort

int getDtlsPort()
Gets the DTLS port in the `Transports` object.

Returns:
  the DTLS port

### setDtlsPort

void setDtlsPort(int port)
Sets the DTLS port in the `Transports` object.

Parameters:
  `port` - the DTLS port

### getTcpPort

int getTcpPort()
Gets the TCP port in the `Transports` object.

Returns:
  the TCP port

### setTcpPort

void setTcpPort(int port)
Sets the TCP port in the `Transports` object.

Parameters:
  `port` - the TCP port

### getTlsPort

int getTlsPort()
Gets the TLS port in the `Transports` object.

Returns:
  the TLS port

### setTlsPort

void setTlsPort(int port)
Sets the TLS port in the `Transports` object.

Parameters:
  `port` - the TLS port

### getUdpPort

int getUdpPort()
Gets the UDP port in the `Transports` object.

Returns:
  the UDP port

### setUdpPort

void setUdpPort(int port)
Sets the UDP port in the `Transports` object.

Parameters:
  `port` - the UDP port

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`